> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/aig/datastructure.md).

# Data Types

## AiGatewayInfo

Describes AI gateway instance information, including expiration policy, status, model access restrictions, etc.

Referenced by：DescribeAiGateways

| Parameter Name  | Type                        | Description                                        |
| --------------- | --------------------------- | -------------------------------------------------- |
| gatewayUuid     | String                      | Unique ID of the AI gateway.                       |
| gatewayName     | String                      | Display name of the AI gateway.                    |
| enabled         | Boolean                     | Whether enabled.                                   |
| createdAt       | String                      | Creation time.                                     |
| updatedAt       | String                      | Update time.                                       |
| resourceGroupId | String                      | Resource group ID to which the AI gateway belongs. |
| accessLimit     | Integer                     | Access quota.                                      |
| expireType      | [ExpireType](#expiretype)   | Expiration time type.                              |
| expireTime      | String                      | Expiration time.                                   |
| modelAccess     | [ModelAccess](#modelaccess) | Model access restriction.                          |
| tags            | [Tags](#tags)               | Tags associated with the AI gateway.               |

## AiGatewayModel

Describes AI gateway associated model information, including model UUID and model name.

Referenced by：DescribeAiGatewayModels

| Parameter Name | Type   | Description |
| -------------- | ------ | ----------- |
| modelUuid      | String | Model UUID. |
| modelName      | String | Model name. |

## AiModel

Describes AI gateway model information, including model UUID, model name, and model type.

Referenced by：DescribeAiModels

| Parameter Name | Type   | Description    |
| -------------- | ------ | -------------- |
| modelUuid      | String | Model UUID.    |
| modelName      | String | Model name.    |
| modelType      | String | Model type.    |
| providerName   | String | Provider name. |

## DailyMetricItem

Daily usage item.

Referenced by：DescribeAiModelDailyUsage

| Parameter Name | Type                                         | Description                   |
| -------------- | -------------------------------------------- | ----------------------------- |
| date           | String                                       | Date, format: yyyy-MM-dd.     |
| model\_usage   | Array of [ModelDailyUsage](#modeldailyusage) | List of usage for each model. |

## ExpireType

Describe the expiration policy of AI gateway

Referenced by：DescribeAiGateways, CreateAiGateway, ModifyAiGatewayExpireTime, DescribeAiGatewayExpireTime

| Value       | Description            |
| ----------- | ---------------------- |
| LONG\_LIVED | Long Lived             |
| CUSTOM      | Custom Expiration Time |

## GatewayStatus

Describe the configuration status of the AI gateway

Referenced by：DescribeAiGateways

| Value       | Description |
| ----------- | ----------- |
| CREATING    | Creating    |
| CONFIGURING | Configuring |
| SUCCEED     | Succeed     |
| FAILED      | Failed      |

## IpAclType

Describe the types of blacklist and whitelist for AI gateway IP addresses

Referenced by：ModifyAiGatewayIpAcl, DescribeAiGatewayIpAcl

| Value | Description  |
| ----- | ------------ |
| WHITE | IP Whitelist |
| BLACK | IP Blacklist |

## ModelAccess

Describe whether the AI gateway access model is restricted

Referenced by：DescribeAiGateways, ModifyAiGatewayModels, CreateAiGateway

| Value     | Description                                                                |
| --------- | -------------------------------------------------------------------------- |
| UNLIMITED | There is no restriction on models; all currently listed models can be used |
| LIMITED   | Due to restrictions, only associated models can be used                    |

## ModelCacheHitSeries

Describe the daily cache hit rate information of the model.

Referenced by：DescribeAiModelDailyCacheHitRate

| Parameter Name | Type            | Description                                                          |
| -------------- | --------------- | -------------------------------------------------------------------- |
| modelName      | String          | Model Name.                                                          |
| data           | Array of String | List of daily cache hit rates for the model, in the format of "90%". |

## ModelCostSeries

Describes daily model cost information.

Referenced by：DescribeAiModelDailyCost

| Parameter Name | Type           | Description                |
| -------------- | -------------- | -------------------------- |
| modelName      | String         | Model name.                |
| data           | Array of Float | List of daily model costs. |

## ModelDailyUsage

Daily usage of the model.

Referenced by：DescribeAiModelDailyUsage

| Parameter Name           | Type    | Description                                                  |
| ------------------------ | ------- | ------------------------------------------------------------ |
| modelName                | String  | Model Name.                                                  |
| promptMissedTokens       | Integer | The number of input tokens that did not hit the cache.       |
| completionTokens         | Integer | The number of output tokens.                                 |
| cachedTokens             | Integer | The number of tokens that hit the cache.                     |
| cacheCreationInputTokens | Integer | The number of tokens created by the cache (Anthropic model). |
| reasoningTokens          | Integer | The number of Inference token.                               |

## ModelValueItem

Model usage value item.

Referenced by：DescribeAiUsageDetailData

| Parameter Name | Type    | Description  |
| -------------- | ------- | ------------ |
| model          | String  | Model name.  |
| value          | Integer | Usage value. |

## Tag

Describes the information of a tag key-value pair.

Referenced by：DescribeAiGateways, CreateAiGateway

| Parameter Name | Type   | Required | Description                                               |
| -------------- | ------ | -------- | --------------------------------------------------------- |
| key            | String | Yes      | <p>Tag key.</p><p>Length limit: 1 to 64 characters.</p>   |
| value          | String | No       | <p>Tag value.</p><p>Length limit: 1 to 64 characters.</p> |

## TagAssociation

Describes the tag pair information bound when creating the resource.

Referenced by：CreateAiGateway

| Parameter Name | Type                 | Required | Description        |
| -------------- | -------------------- | -------- | ------------------ |
| tags           | Array of [Tag](#tag) | Yes      | List of tag pairs. |

## Tags

Describes tag information associated with the resource.

Referenced by：DescribeAiGateways

| Parameter Name | Type                 | Description        |
| -------------- | -------------------- | ------------------ |
| tags           | Array of [Tag](#tag) | List of tag pairs. |

## UsageData

Describes AI gateway model usage information.

Referenced by：DescribeAiUsageData

| Parameter Name | Type    | Description                                                   |
| -------------- | ------- | ------------------------------------------------------------- |
| modelUuid      | String  | Model UUID.                                                   |
| modelName      | String  | Model name.                                                   |
| totalTokens    | Integer | <p>Total number of model tokens.</p><p>Default value: 0</p>   |
| totalRequests  | Integer | <p>Total number of model requests.</p><p>Default value: 0</p> |

## UsageDataPoint

Usage data point, containing timestamp and usage values of each model.

Referenced by：DescribeAiUsageDetailData

| Parameter Name | Type                                       | Description                          |
| -------------- | ------------------------------------------ | ------------------------------------ |
| time           | Integer                                    | Timestamp (milliseconds).            |
| data           | Array of [ModelValueItem](#modelvalueitem) | List of usage values for each model. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/aig/datastructure.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
